#include<iostream>
#include<sstream>
#include<string>
using namespace std;

void TranslateToPigLatin(string& Phrase);

void toUpper(string& phrase)
{
	for (int i = 0; i < phrase.length();i++)
	{
		phrase[i] = toupper(phrase[i]);
	}
}

void main()
{
	string Phrase;
	cout << "Please enter a phrase to be translated to Pig Latin:" << endl;
	getline(cin, Phrase);

	TranslateToPigLatin(Phrase);
	cout << Phrase << endl;
}

bool isVowel(char c)
{
	bool result = false;
	c = tolower(c);
	if (c == 'a' || c == 'e' || c == 'i' || c == 'o' || c == 'u')
	{
		result = true;
	}
	return result;
}
bool isConsonant(char c)
{
	return !(isVowel(c));
}

int leadingConsonantCount(string word)
{
	int result = 0;

	while (isConsonant(word[result]) && word[result] != '\0')
	{
		result++;
	}

	if (result > word.length())
	{
		result = word.length();
	}

	return result;
}

void TranslateWordToPigLatin(string& word)
{
	int consonantCount = leadingConsonantCount(word);
	if (consonantCount == 0)
	{
		word += "yay";
	}
	else
	{
		string prefix;
		string suffix;
		//this
		//strncpy_s(prefix, word, consonantCount); //th
		prefix = word.substr(0, consonantCount); //th
												 //strcpy_s(suffix, MAX_WORD_LENGTH, word + consonantCount);//is
		suffix = word.substr(consonantCount);
		word = suffix + prefix + "ay";
		//strcpy_s(word, MAX_WORD_LENGTH, suffix);
		//strcat_s(word, MAX_WORD_LENGTH, prefix);
		//strcat_s(word, MAX_WORD_LENGTH, "ay");
	}
}

void TranslateToPigLatin(string& phrase)
{
	istringstream sin(phrase);
	string word;
	string answer = "";
	while (!sin.eof())
	{
		//bob
		sin >> word;
		if (!sin.fail())
		{
			TranslateWordToPigLatin(word);
			answer += (word + " ");
		}
	}
	phrase = answer;
}